### Function

# Adwshow_about_window_from_appdata

since: 1.4

#### Declaration [src]

    void
    adw_show_about_window_from_appdata (
      GtkWindow* parent,
      const char* resource_path,
      const char* release_notes_version,
      const char* first_property_name,
      ...
    )

#### Description [src]

A convenience function for showing an application’s about window from AppStream metadata.

See `adw_about_window_new_from_appdata()` for details.

Available since: 1.4

This function is not directly available to language bindings.

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent top-level window.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`resource_path`

  Type: `const char*`

  The resource to use.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`release_notes_version`

  Type: `const char*`

  The version to retrieve release notes for.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`first_property_name`

  Type: `const char*`

  The name of the first property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Value of first property, followed by more pairs of property name and value, `NULL`-terminated.